$(document).ready(function() {
	// Restricts input for each element in the set of matched elements to the given inputFilter.
	(function($) {
		$.fn.inputFilter = function(inputFilter) {
			return this.on("input keydown keyup mousedown mouseup select contextmenu drop", function() {
				if (inputFilter(this.value)) {
					this.oldValue = this.value;
					this.oldSelectionStart = this.selectionStart;
					this.oldSelectionEnd = this.selectionEnd;
				} else if (this.hasOwnProperty("oldValue")) {
					this.value = this.oldValue;
					this.setSelectionRange(this.oldSelectionStart, this.oldSelectionEnd);
				}
			});
		};
	}(jQuery));
	// Install input filters.
	$(".intTextBox").inputFilter(function(value) {         							//Integer (both positive and negative)
	   	return /^-?\d*$/.test(value);
	});
	$(".uintTextBox").inputFilter(function(value) {                                 //Integer (positive only)
		return /^\d*$/.test(value);
	});
	$(".intLimitTextBox").inputFilter(function(value) {                             //Integer (positive and <= 500)
		return /^\d*$/.test(value) && (value === "" || parseInt(value) <= 500);
	});
	$(".floatTextBox").inputFilter(function(value) {                               	//Floating point (use . or , as decimal separator)
		return /^-?\d*[.,]?\d*$/.test(value);
	});
	$(".currencyTextBox").inputFilter(function(value) {                       		//Currency (at most two decimal places)
		return /^-?\d*[.,]?\d{0,2}$/.test(value);
	});
	$(".hexTextBox").inputFilter(function(value) {                            		//Hexadecimal
		return /^[0-9a-f]*$/i.test(value);
	});


	$(".phone_mask").inputmask({ "mask": "999 999-9999" });

});

$( function() {
	$(".datepicker").datepicker({
		dateFormat: "yy-mm-dd"
	});
});